Loading...
Searching...
No Matches
iterator_on_constant< T >

## Detailed Description

template<class T>
struct rheolef::details::iterator_on_constant< T >

Definition at line 147 of file expr_utilities.h.

## Public Types

typedef T | value_type

## Public Member Functions

| iterator_on_constant (const T &c)
iterator_on_constant< T > & | operator++ ()
value_type | operator* () const

## Protected Attributes

T | _c

## Member Typedef Documentation

## value_type

template<class T>

typedef T value_type

Definition at line 149 of file expr_utilities.h.

## Constructor & Destructor Documentation

## iterator_on_constant()

template<class T>

iterator_on_constant | ( | const T & | c | ) |

Definition at line 150 of file expr_utilities.h.

## Member Function Documentation

## operator++()

template<class T>

iterator_on_constant< T > & operator++ | ( |  | ) |

Definition at line 151 of file expr_utilities.h.

## operator*()

template<class T>

value_type operator* | ( |  | ) | const

Definition at line 152 of file expr_utilities.h.

## Member Data Documentation

## _c

template<class T>

T _c

protected

Definition at line 154 of file expr_utilities.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/linalg/lib/expr_utilities.h